<?
	  global $app_list_strings;
	  
	  
      $address = str_replace("&lt;","<",str_replace("&gt;",">",$this->parent_name));
	  if($this->parent_contact_name) {
	  	 $address .= "\n".$this->parent_contact_name;
	  	 if($this->parent_contact_title) {
		 	$address .= "\n".$this->parent_contact_title;
		 }
		 $personplus=5;
	  }
	  else $personplus=0;
 
      if($this->parent_address_street)      $address .= "\n".str_replace("\n","",$this->parent_address_street);
      if($this->parent_address_postalcode) $address .= "\n".$this->parent_address_postalcode;
      if($this->parent_address_city)        $address .= " ".$this->parent_address_city;
      if($this->to_nip)                  $address .= "\n".$mod_strings['LBL_PDF_NIP'].": ".$this->to_nip;
      elseif(!$this->to_nip && $this->to_vatid)                  $address .= "\n".$mod_strings['LBL_PDF_NIP'].": ".$this->to_vatid;
	  $r=$GLOBALS['db']->fetchByAssoc($GLOBALS['db']->query("select iln from accounts where id='".$this->parent_id."'"));
	  if($r['iln'])$address .= "\nILN: ".$r['iln'];
	  

      //to address
	  $old_x=$pdf->GetX();
	  $old_y=$pdf->GetY();
	  
	  $pdf->SetXY(25,33);
	  $pdf->SetFont('arialpl', 'B', 8);
	  $pdf->Cell(35,1,"WYSTAWCA:",0,0,'L',1);
	  $pdf->Ln(3);
	  $pdf->SetX(25);
	  $pdf->SetFont('arialpl', '', 8);
	  $r=$GLOBALS['db']->fetchByAssoc($GLOBALS['db']->query("select vatid from accounts where id='".$pdf->edt->account_id."'"));
	  if($r['vatid'])$pdf->edt->header_text .= "\nNip: ".$r['vatid'];
	  if($r['iln'])$pdf->edt->header_text .= "\nILN: ".$r['iln'];
	  $pdf->MultiCell(60,4,$pdf->edt->header_text,0,'L');
	  
	  $pdf->SetXY(81,33);
      $pdf->SetFont('arialpl', 'B', 8);
	  $pdf->Cell(35,1,"ODBIORCA:",0,0,'L',1);
	  $pdf->Ln(3);
	  $pdf->SetX(81);
	  $pdf->SetFont('arialpl', '', 8);
      $pdf->MultiCell(60,4,$address,0,'L');
	  
	  
      $pdf->SetXY(160,$old_y+10+$personplus);
	  
      $table = array(); 
	  
      $table [1]['date_reg'] = array('width' => 20, 'value' => $mod_strings['LBL_PDF_DATE_REGISTER'], 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-size' => 8);
      $table [1]['date_reg_value'] = array('width' => 36, 'value' => $this->register_date, 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 8);
	  	  
      $table [2]['stock'] = array('width' => 20, 'value' => "Magazyn", 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-size' => 8);
      $table [2]['stock_value'] = array('width' => 36, 'value' => $this->stock_name, 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 8);
	  $table [3]['user'] = array('width' => 20, 'value' => $mod_strings['LBL_PDF_OWNER'], 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-size' => 8);
      $table [3]['user_value'] = array('width' => 36, 'value' => $this->setUser()->full_name, 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 8);
	  
	  $pdf->SetXY(143,$pdf->tMargin);
      $pdf->DrawTable($table, null, 0.5, 0.5, 3);
      

      $pdf->Ln(9);

      $pdf->SetFont('arialpl','','18');
	  $pdf->SetXY(60,$pdf->tMargin+10);
      
	  $pdf->MultiCell(80,7,"Dokument ".$this->document_no,0,'C');
      $pdf->SetFont('arialpl', 'B', 7);
	  $pdf->Ln(3);
	  $pdf->SetX(60);
	  $pdf->Cell(80,1,$mod_strings['LBL_PDF_ORIGINAL_COPY'],0,0,'C',1);
	  
	  
	  
	  //echo 'test';
      //$this->loadParser();
     // echo 'test';
      $this->header_text = $this->template->mfp->parseText($this->header_text);
      $this->footer_text = $this->template->mfp->parseText($this->footer_text);
      $this->ads_text = $this->template->mfp->parseText($this->ads_text);

      
      $pdf->SetY($ynew);

      

      
      
	  $pdf->SetFont('arialpl','','7');
	  global $mod_strings;
	  
	  
	  $currency = new Currency();
	  $currency->retrieve($this->currency_id);
	  $this->currency_symbol=$currency->iso4217;
	  
      if(!isset($this->position_list) || !is_array($this->position_list))
        $this->position_list = $this->getPositionList(true);
      $calc = $this->calculate($this->position_list,true);
	  
	  if ($this->kind=='import') $this->currency_symbol = ' PLN';
      
      $calc['total'] .= ' '.$this->currency_symbol;
      $calc['subtotal'] .= ' '.$this->currency_symbol;
      if($calc['discount']) {
        $calc['total2'] .= ' '.$this->currency_symbol;
        $calc['discount']['value'] .= ' '.$this->currency_symbol;
      }
      
      if(isset($calc['vats']) && is_array($calc['vats']) && count($calc['vats']) > 0)
        foreach($calc['vats'] as $key => $value) $calc['vats'][$key] .= ' '.$this->currency_symbol;


	  $pdf->Ln(7);
      $name_w = 43;
      $table = array(); 
	  
      $table [0]['position'] = array('width' => 5, 'value' => $mod_strings['LBL_PDF_LIST_POSITION'], 'border' => 1,'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
      $table [0]['code'] = array('width' => 12, 'value' => "Index", 'border' => 1,'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
      $table [0]['description'] = array('width' => $name_w, 'value' => $mod_strings['LBL_PDF_LIST_DESCRIPTION'], 'border' => 1, 'overflow' => 1, 'align' => 'C');
      $table [0]['quantity'] = array('width' => 8, 'value' => $mod_strings['LBL_PDF_LIST_QUANTITY'], 'border' => 1,'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
      $table [0]['unit'] = array('width' => 5, 'value' => $mod_strings['LBL_PDF_LIST_UNIT'], 'border' => 1,'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
      $table [0]['unit_price'] = array('width' => 14, 'value' => $mod_strings['LBL_PDF_LIST_PRICE'], 'border' => 1,'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
      $table [0]['total'] = array('width' => 14, 'value' => "Suma netto", 'border' => 1,'font-style' => 'b', 'overflow' => 1, 'align' => 'R');
	  $pdf->SetY(60);
	  $pdf->DrawTable($table,array(0));
	  $pdf->Ln(0);
	  
	  $table=array();
      $i = 1;
	  $lv=return_app_list_strings_language($this->ecmlanguage);
	  
      if($this->position_list != '')
      foreach($this->position_list as $p) {
        $table [$i]['position'] = array('width' => 5, 'value' => $i, 'border' => 1, 'align' => 'C', );
        $table [$i]['code'] = array('width' => 12, 'value' => $p['code'], 'border' => 1, 'align' => 'C', );
        $table [$i]['description'] = array('width' => $name_w, 'value' => htmlspecialchars_decode($p['name']), 'border' => 1, 'align' => 'L', );
        $table [$i]['quantity'] = array('width' => 8, 'value' => $p['quantity'], 'border' => 1, 'align' => 'C', );
        $table [$i]['unit'] = array('width' => 5, 'value' => $lv['ecmproducts_unit_dom'][$p['unit_id']], 'border' => 1, 'align' => 'C', 'font-size' => 7 );
        $table [$i]['unit_price'] = array('width' => 14, 'value' => format_number($p['price']), 'border' => 1, 'align' => 'C', );
        $table [$i]['total'] = array('width' => 14, 'value' => format_number($p['total']), 'border' => 1, 'align' => 'R', );
        $i++;
      }
      $pdf->DrawTable($table,array(0));
	  

      
      $pdf->Ln(4);
      $pr = ($pdf->fw-$pdf->lMargin-$pdf->rMargin)/100;
      $table = array();    

      if($calc['vats']) {  
        $table [] = array(
          'subtotal1' => array('width' => 13,'font-style' => 'b', 'value' => "Suma netto", 'border' => 1, 'overflow' => 1, 'align' => 'L', 'font-size' => 9),
          'subtotal2' => array('width' => 28, 'value' => $calc['subtotal'], 'border' => 1, 'overflow' => 1, 'align' => 'R', 'font-size' => 9),
		);

        foreach($calc['vats'] as $key => $value){
		  $r=mysql_fetch_array(mysql_query("select name from ecmvats where id='".$key."'"));
		  $vvn=$r['name'];
          $table [] = array(
            'vat1' => array('width' => 13,'font-style' => 'b', 'value' => $mod_strings['LBL_PDF_VAT'].' ('.$vvn.')','border' => 1, 'overflow' => 1, 'align' => 'L', 'font-size' => 9),
            'vat2' => array('width' => 28, 'value' => $value, 'border' => 1, 'overflow' => 1, 'align' => 'R', 'font-size' => 9)
		  );
		}
      }

      $table [] = array(
        'total1' => array('width' => 13,'font-style' => 'b', 'value' => "Suma brutto",'border' => 1, 'overflow' => 1, 'align' => 'L', 'font-size' => 9, 'font-style' => 'b'),
        'total2' => array('width' => 28, 'value' => $calc['total'], 'border' => 1, 'overflow' => 1, 'align' => 'R' , 'font-size' => 9, 'font-style' => 'b'),
	  );
      
	  if($pdf->GetY()+30>$pdf->fh-$pdf->bMargin)$pdf->AddPage();
	  $pdf->SetX(127);
      $pdf->DrawTable($table);
?>